cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_logic_script": {
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_logic_script(
{
"custom_logic_script": {
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomLogicScript({
custom_logic_script: {name: 'credit_check', type: 'CUSTOM_EVENT_SCRIPT', code: 'return true', status: 'INACTIVE'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomLogicScript([
'custom_logic_script' => [
'name' => 'credit_check',
'type' => 'CUSTOM_EVENT_SCRIPT',
'code' => 'return true',
'status' => 'INACTIVE',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScriptSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScriptSaved> response = client.settings().createSettingsCustomLogicScript(
Map.of(
"custom_logic_script", Map.of(
"name", "credit_check",
"type", "CUSTOM_EVENT_SCRIPT",
"code", "return true",
"status", "INACTIVE")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomLogicScriptAsync(new Dictionary<string, object?>
{
["custom_logic_script"] = new Dictionary<string, object?>
{
["name"] = "credit_check",
["type"] = "CUSTOM_EVENT_SCRIPT",
["code"] = "return true",
["status"] = "INACTIVE",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomLogicScript({
'custom_logic_script': {
'name': 'credit_check',
'type': 'CUSTOM_EVENT_SCRIPT',
'code': 'return true',
'status': 'INACTIVE',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomLogicScript(context.Background(), map[string]any{
"custom_logic_script": map[string]any{
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>",
"code": "<unknown>"
}
}Instance settings
Create a custom logic script
Creates a custom logic script and returns it under custom_logic_script.
POST
/
settings
/
custom_logic_scripts
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_logic_script": {
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE"
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_logic_script(
{
"custom_logic_script": {
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomLogicScript({
custom_logic_script: {name: 'credit_check', type: 'CUSTOM_EVENT_SCRIPT', code: 'return true', status: 'INACTIVE'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomLogicScript([
'custom_logic_script' => [
'name' => 'credit_check',
'type' => 'CUSTOM_EVENT_SCRIPT',
'code' => 'return true',
'status' => 'INACTIVE',
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScriptSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScriptSaved> response = client.settings().createSettingsCustomLogicScript(
Map.of(
"custom_logic_script", Map.of(
"name", "credit_check",
"type", "CUSTOM_EVENT_SCRIPT",
"code", "return true",
"status", "INACTIVE")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomLogicScriptAsync(new Dictionary<string, object?>
{
["custom_logic_script"] = new Dictionary<string, object?>
{
["name"] = "credit_check",
["type"] = "CUSTOM_EVENT_SCRIPT",
["code"] = "return true",
["status"] = "INACTIVE",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomLogicScript({
'custom_logic_script': {
'name': 'credit_check',
'type': 'CUSTOM_EVENT_SCRIPT',
'code': 'return true',
'status': 'INACTIVE',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomLogicScript(context.Background(), map[string]any{
"custom_logic_script": map[string]any{
"name": "credit_check",
"type": "CUSTOM_EVENT_SCRIPT",
"code": "return true",
"status": "INACTIVE",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>",
"code": "<unknown>"
}
}Send the new script under
custom_logic_script. name, type and code are required. The code is validated and returned in the response, but it is not stored, so a later read does not return it.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new custom logic script, under custom_logic_script, with the code you sent.
Show child attributes
Show child attributes